#include "RunHttpPost_insertUserFace.h"

RunHttpPost_insertUserFace::RunHttpPost_insertUserFace(InteractiveTask *task, QMutex *mutex)
    :RunAbstract(task, mutex)
{

}


void RunHttpPost_insertUserFace::run()
{

    QByteArray outData = InteractiveHttp::http_post_insertUserFace();

    QByteArray json;
    if (!outData.isEmpty())
    {
        // 解析是否录入成功
        QJsonParseError error;
        QJsonDocument jsonDoc = QJsonDocument::fromJson(outData, &error);
        if (error.error == QJsonParseError::NoError)
        {
            if(!(jsonDoc.isNull() || jsonDoc.isEmpty()))
            {
                QJsonObject jsonObjRoot = jsonDoc.object();
                if(jsonObjRoot.contains("code"))
                {
                    if(jsonObjRoot.value("code").toInt() == 200)
                    {
                        json = QString("{\"text\": \"录入成功\"}").toUtf8();
                    }
                    else
                    {
                        json = QString("{\"text\": \"录入失败：%1\"}").arg(jsonObjRoot.value("msg").toString()).toUtf8();
                    }
                }
            }
        }
    }

    setRespond(QString(json));
}

